Bug 1653901 - [abrt] PackageKit: g_path_get_basename(): packagekitd killed by SIGSEGV
Summary: [abrt] PackageKit: g_path_get_basename(): packagekitd killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:8552ac3a7c01f09a55771d9d7c6...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-27 19:39 UTC by aannoaanno
Modified: 2018-12-07 02:37 UTC (History)
5 users (show)

Fixed In Version: PackageKit-1.1.12-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-07 02:37:39 UTC


Attachments (Terms of Use)
File: backtrace (41.07 KB, text/plain)
2018-11-27 19:39 UTC, aannoaanno
no flags Details
File: cgroup (184 bytes, text/plain)
2018-11-27 19:39 UTC, aannoaanno
no flags Details
File: core_backtrace (9.15 KB, text/plain)
2018-11-27 19:39 UTC, aannoaanno
no flags Details
File: cpuinfo (1.40 KB, text/plain)
2018-11-27 19:39 UTC, aannoaanno
no flags Details
File: dso_list (8.78 KB, text/plain)
2018-11-27 19:39 UTC, aannoaanno
no flags Details
File: environ (214 bytes, text/plain)
2018-11-27 19:39 UTC, aannoaanno
no flags Details
File: exploitable (100 bytes, text/plain)
2018-11-27 19:39 UTC, aannoaanno
no flags Details
File: limits (1.29 KB, text/plain)
2018-11-27 19:39 UTC, aannoaanno
no flags Details
File: maps (49.57 KB, text/plain)
2018-11-27 19:39 UTC, aannoaanno
no flags Details
File: mountinfo (5.65 KB, text/plain)
2018-11-27 19:39 UTC, aannoaanno
no flags Details
File: open_fds (2.52 KB, text/plain)
2018-11-27 19:39 UTC, aannoaanno
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2018-11-27 19:39 UTC, aannoaanno
no flags Details
File: var_log_messages (660 bytes, text/plain)
2018-11-27 19:39 UTC, aannoaanno
no flags Details

Description aannoaanno 2018-11-27 19:39:18 UTC
Version-Release number of selected component:
PackageKit-1.1.11-1.fc29

Additional info:
reporter:       libreport-2.9.6
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: g_path_get_basename
executable:     /usr/libexec/packagekitd
journald_cursor: s=0943bacc662c4136bbfd38a24a5fedcf;i=63723;b=50c44889601f480da8bc36bfbf5b2fa1;m=78aa65d;t=57b42baecb313;x=39ac5936d7ee1665
kernel:         4.19.2-300.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 g_path_get_basename at gfileutils.c:2331
 #1 dnf_repo_update(DnfRepo*, DnfRepoUpdateFlags, DnfState*, GError**) at /usr/src/debug/libdnf-0.22.0-8.fc29.x86_64/libdnf/dnf-repo.cpp:1750
 #2 pk_backend_refresh_repo at pk-backend-dnf.c:1498
 #3 pk_backend_refresh_cache_thread at pk-backend-dnf.c:1632
 #4 pk_backend_job_thread_setup at pk-backend-job.c:726
 #5 g_thread_proxy at gthread.c:784
 #6 allocate_stack at allocatestack.c:590

Comment 1 aannoaanno 2018-11-27 19:39:24 UTC
Created attachment 1509122 [details]
File: backtrace

Comment 2 aannoaanno 2018-11-27 19:39:25 UTC
Created attachment 1509124 [details]
File: cgroup

Comment 3 aannoaanno 2018-11-27 19:39:27 UTC
Created attachment 1509126 [details]
File: core_backtrace

Comment 4 aannoaanno 2018-11-27 19:39:28 UTC
Created attachment 1509128 [details]
File: cpuinfo

Comment 5 aannoaanno 2018-11-27 19:39:30 UTC
Created attachment 1509129 [details]
File: dso_list

Comment 6 aannoaanno 2018-11-27 19:39:31 UTC
Created attachment 1509130 [details]
File: environ

Comment 7 aannoaanno 2018-11-27 19:39:32 UTC
Created attachment 1509131 [details]
File: exploitable

Comment 8 aannoaanno 2018-11-27 19:39:33 UTC
Created attachment 1509132 [details]
File: limits

Comment 9 aannoaanno 2018-11-27 19:39:36 UTC
Created attachment 1509133 [details]
File: maps

Comment 10 aannoaanno 2018-11-27 19:39:37 UTC
Created attachment 1509134 [details]
File: mountinfo

Comment 11 aannoaanno 2018-11-27 19:39:39 UTC
Created attachment 1509135 [details]
File: open_fds

Comment 12 aannoaanno 2018-11-27 19:39:40 UTC
Created attachment 1509136 [details]
File: proc_pid_status

Comment 13 aannoaanno 2018-11-27 19:39:41 UTC
Created attachment 1509137 [details]
File: var_log_messages

Comment 14 Kalev Lember 2018-11-28 08:58:09 UTC
This should hopefully be fixed in PackageKit 1.1.12 where we fixed a multithreading issue in DnfRepo handling that was likely causing this crash. If the crash is still reproducable after updating to 1.1.12, please reopen the ticket.

Comment 15 Fedora Update System 2018-11-28 09:00:16 UTC
PackageKit-1.1.12-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c3dd0383fa

Comment 16 Fedora Update System 2018-11-29 03:16:13 UTC
PackageKit-1.1.12-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c3dd0383fa

Comment 17 Fedora Update System 2018-12-07 02:37:39 UTC
PackageKit-1.1.12-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.